# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
%bcond_without repolib

%define section free

%define version_maj 3
%define version_min 1
%define version_rev 2
%define version_tag SP15
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}-patch-01

%define repodir %{_javadir}/repository.jboss.com/jboss/jbossws/%{version_full}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Summary:        JBoss Web Services
Name:           jbossws
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        13.%{version_tag}_patch_01%{?dist}
Epoch:          0
License:        LGPLv2+
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/
# svn export https://svn.jboss.org/repos/jbossws/stack/native/tags/jbossws-native-3.1.2.SP15
# Exported revision 16993.
# tar czf jbossws-3.1.2.SP15-src.tar.gz jbossws-native-3.1.2.SP15
#Source0:        %{name}-%{version_full}-src.tar.gz
Source0:        %{name}-%{version_maj}.%{version_min}.%{version_rev}.%{version_tag}-src.tar.gz
Source1:        jbossws-component-info.xml
Source2:        jbossws-jpp-depmap.xml
Source3:        jbossws-settings.xml
#change Class-Path from jaxrpc-api.jar to jboss-jaxrpc-api_1.1_spec.jar
Patch0:		jbossws-native-client-manifest.patch
Patch2:         jbossws-no-buildnumber.patch
Patch3:         jbossws-native-jbpapp-7320.patch
Patch4:         jbossws-native-CVE-2011-2487.patch

BuildRequires: codehaus-stax11-api >= 0:1.1.2
BuildRequires: glassfish-jaxb >= 0:2.1.9
BuildRequires: glassfish-jaxws >= 0:2.1.3
BuildRequires: glassfish-javamail
BuildRequires: jaxbintros >= 0:1.0.0
BuildRequires: jettison >= 0:1.0
BuildRequires: jakarta-commons-logging >= 0:1.1.1
BuildRequires: javassist >= 0:3.6.0
BuildRequires: jboss-jaxr >= 0:1.2.1
BuildRequires: jboss-parent >= 0:4.0
BuildRequires: jboss-javaee-poms >= 0:5.0.0
BuildRequires: jboss-ejb-3.0-api >= 0:5.0.0
BuildRequires: jboss-jms-1.1-api >= 0:5.0.0
BuildRequires: jboss-microcontainer2 >= 0:2.0.2
BuildRequires: jboss-common-core
BuildRequires: jboss-remoting >= 0:2.5.1
BuildRequires: jboss-security-spi >= 0:2.0.3
BuildRequires: jbosssx2 >= 0:2.0.3
BuildRequires: jbossws-parent >= 0:1.0.2
BuildRequires: jbossws-common >= 0:1.1.0-0.SP2.2
BuildRequires: jbossws-framework >= 0:0:3.1.2-1.SP4.1
BuildRequires: jbossws-spi >= 0:1.1.2-1.SP1.1
BuildRequires: jbossxb2
BuildRequires: jpackage-utils
#BuildRequires: jbossweb >= 0:2.1.3
BuildRequires: jbossweb-servlet-2.5-api
BuildRequires: juddi
BuildRequires: maven2-plugin-enforcer
BuildRequires: sun-fi
BuildRequires: tjws >= 0:1.3.3
BuildRequires: ws-scout
#Use wsdl4j16 instead of wsdl4j on RHEL 5
BuildRequires: wsdl4j16 >= 0:1.6.2
BuildRequires: wstx >= 0:3.2.6
BuildRequires: xalan-j2 >= 0:2.7.1
BuildRequires: xerces-j2 >= 0:2.8.1
BuildRequires: xml-security >= 0:1.5.1
BuildRequires: maven2-plugin-deploy
BuildRequires: maven2-plugin-site
BuildRequires: maven2
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-dependency
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-source
BuildRequires: maven2-plugin-release
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-war
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
%if 0
#BuildRequires: mojo-maven2-plugin-buildnumber
BuildRequires: buildnumber-maven-plugin
%endif
BuildRequires: xpp3-minimal

BuildRequires: jboss-jaxrpc-api_1.1_spec
BuildRequires: saaj_1_3_api
BuildRequires: ws_metadata_2_0_api

Requires:      jaxrpc_1_1_api
Requires:      jaxws_2_1_api       
Requires:      saaj_1_3_api
Requires:      ws_metadata_2_0_api

Requires:      wstx
Requires:      glassfish-jaf
Requires:      glassfish-jaxb
Requires:      glassfish-javamail
Requires:      jboss-common-core
Requires:      jboss-remoting
Requires:      jbossws-common >= 0:1.1.0-0.SP2.2
Requires:      jbossws-framework >= 0:0:3.1.2-1.SP4.1
Requires:      jbossws-spi >= 0:1.1.2-1.SP1.1
Requires:      jbossxb2
Requires:      jpackage-utils
Requires:      jbossweb
#Use wsdl4j16 instead of wsdl4j on RHEL 5
Requires:      wsdl4j16

Requires:      xalan-j2
Requires:      xerces-j2
Requires:      xml-security

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
JBossWS an implementation of J2EE Web Services

%if %with repolib
%package     repolib
Summary:     Artifacts to be uploaded to a repository library
Group:  Development/Libraries/Java

%description     repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
#%setup -q -n jbossws-native-%{version_full}
%setup -q -n jbossws-native-%{version_maj}.%{version_min}.%{version_rev}.%{version_tag}
%patch0 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
### This is only needed for this patch-01 version
for i in `find . -name pom.xml`; do sed -i -e 's:<version>3.1.2.SP15</version>:<version>3.1.2.SP15-patch-01</version>:g' $i; done

%build
export JBOSS_HOME=%{_datadir}/jbossas
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mkdir -p ./output/reposave

export M2_SETTINGS=$(pwd)/maven2-settings.xml

mvn-jpp \
        -e \
%if 0
        -s ${M2_SETTINGS} \
%endif
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        install:install-file -DgroupId=org.jboss.ws -DartifactId=jbossws-framework -Dversion=3.1.2.SP13 -Dclassifier=testsuite -Dpackaging=zip -Dfile=%{_javadir}/jbossws-framework-testsuite.zip -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
        -e \
        -Djboss.repository=$(pwd)/repository \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven.test.failure.ignore=false \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Djboss.local.repository=./output/reposave \
        -DaltDeploymentRepository=jboss-releases::default::file:`pwd`/maven2-brew \
        -Dversion=%{version_full} \
        deploy

%install
rm -rf $RPM_BUILD_ROOT

# Install to javadir
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/core/target/jbossws-native-core-%{version_full}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/core/target/jbossws-native-core-%{version_full}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/endorsed/target/jbossws-native-factories-%{version_full}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/endorsed/target/jbossws-native-factories-%{version_full}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
# We cannot install it as an exploded war or maven will not retrieve it
#install -dm 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossws-native-management-%{version_full}.war
#cp -p modules/management/target/jbossws-native-management-%{version_full}.war $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossws-native-management-%{version_full}.war/
#(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossws-native-management-%{version_full}.war; jar xvf jbossws-native-management-%{version_full}.war; rm jbossws-native-management-%{version_full}.war)
cp -p modules/management/target/jbossws-native-management-%{version_full}.war  $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/resources/target/jbossws-native-resources-%{version_full}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/resources/target/jbossws-native-resources-%{version_full}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/client/target/jbossws-native-client-%{version_full}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}
cp -p modules/client/target/jbossws-native-client-%{version_full}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in *-%{version_full}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version_full}||g"`;done
for war in *-%{version_full}*.war; do ln -sf ${war} `echo ${war} | sed "s|-%{version_full}||g"`;done)

# -repolib
%if %with repolib
    %{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com
    %{__cp} -pr maven2-brew %{buildroot}%{_javadir}/repository.jboss.com

    # jboss/jbossws
    mkdir -p $RPM_BUILD_ROOT%{repodir}
    mkdir -p $RPM_BUILD_ROOT%{repodirlib}
    cp -p %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml

%{__sed} -i 's/@VERSION@/%{namedversion}-brew/g' %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml

    mkdir -p $RPM_BUILD_ROOT%{repodirsrc}
    cp -p %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}/
    cp -p %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}/
    cp -p %{PATCH3} $RPM_BUILD_ROOT%{repodirsrc}/
    cp -p %{PATCH4} $RPM_BUILD_ROOT%{repodirsrc}/

    cp -p modules/core/target/jbossws-native-core-%{version_full}.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/core/target/jbossws-native-core-%{version_full}-sources.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/endorsed/target/jbossws-native-factories-%{version_full}.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/endorsed/target/jbossws-native-factories-%{version_full}-sources.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/management/target/jbossws-native-management-%{version_full}.war $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/resources/target/jbossws-native-resources-%{version_full}.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/resources/target/jbossws-native-resources-%{version_full}-sources.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/client/target/jbossws-native-client-%{version_full}.jar $RPM_BUILD_ROOT%{repodirlib}
    cp -p modules/client/target/jbossws-native-client-%{version_full}-sources.jar $RPM_BUILD_ROOT%{repodirlib}

   (cd $RPM_BUILD_ROOT%{repodirlib}
   for jar in *-%{version_full}*.jar; do mv ${jar} `echo ${jar} | sed "s|-%{version_full}||g"`;done
   for war in *-%{version_full}*.war; do mv ${war} `echo ${war} | sed "s|-%{version_full}||g"`;done)

cp -p pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native.pom
cp -p modules/core/pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native-core.pom
cp -p modules/endorsed/pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native-factories.pom
cp -p modules/management/pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native-management.pom
cp -p modules/resources/pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native-resources.pom
cp -p modules/client/pom.xml $RPM_BUILD_ROOT%{repodirlib}/jbossws-native-client.pom

%endif

%add_to_maven_depmap org.jboss.ws.native jbossws-native %{version_full} JPP/%{name} jbossws-native
%add_to_maven_depmap org.jboss.ws.native jbossws-native-core %{version_full} JPP/%{name} jbossws-native-core
%add_to_maven_depmap org.jboss.ws.native jbossws-native-factories %{version_full} JPP/%{name} jbossws-native-factories
%add_to_maven_depmap org.jboss.ws.native jbossws-native-management %{version_full} JPP/%{name} jbossws-native-management
%add_to_maven_depmap org.jboss.ws.native jbossws-native-resources %{version_full} JPP/%{name} jbossws-native-resources
%add_to_maven_depmap org.jboss.ws.native jbossws-native-client %{version_full} JPP/%{name} jbossws-native-client

%add_to_maven_depmap org.jboss.ws.native jbossws-native-jaxws %{version_full} JPP jaxws_2_1_api
%add_to_maven_depmap org.jboss.ws.native jbossws-native-saaj %{version_full} JPP saaj_1_3_api
%add_to_maven_depmap org.jboss.ws.native jbossws-native-jaxrpc %{version_full} JPP jaxrpc_1_1_api

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/maven2/poms
cp -p pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native.pom
cp -p modules/core/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native-core.pom
cp -p modules/endorsed/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native-factories.pom
cp -p modules/management/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native-management.pom
cp -p modules/resources/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native-resources.pom
cp -p modules/client/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-native-client.pom

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%{_javadir}*/%{name}/jbossws-native-client-%{version_full}-sources.jar
%{_javadir}*/%{name}/jbossws-native-client-%{version_full}.jar
%{_javadir}*/%{name}/jbossws-native-client-sources.jar
%{_javadir}*/%{name}/jbossws-native-client.jar
%{_javadir}*/%{name}/jbossws-native-core-%{version_full}-sources.jar
%{_javadir}*/%{name}/jbossws-native-core-%{version_full}.jar
%{_javadir}*/%{name}/jbossws-native-core-sources.jar
%{_javadir}*/%{name}/jbossws-native-core.jar
%{_javadir}*/%{name}/jbossws-native-factories-%{version_full}-sources.jar
%{_javadir}*/%{name}/jbossws-native-factories-%{version_full}.jar
%{_javadir}*/%{name}/jbossws-native-factories-sources.jar
%{_javadir}*/%{name}/jbossws-native-factories.jar
%{_javadir}*/%{name}/jbossws-native-management-%{version_full}.war
%{_javadir}*/%{name}/jbossws-native-management.war
%{_javadir}*/%{name}/jbossws-native-resources-%{version_full}-sources.jar
%{_javadir}*/%{name}/jbossws-native-resources-%{version_full}.jar
%{_javadir}*/%{name}/jbossws-native-resources-sources.jar
%{_javadir}*/%{name}/jbossws-native-resources.jar
%{_datadir}/maven2/poms/JPP.%{name}*.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Nov 29 2012 Permaine Cheung <pcheung@redhat.com> - 0:3.1.2-13.SP15_patch_01
- Add patch for CVE-2011-2487
- Change repolib location to -patch-01

* Wed Nov 14 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.1.2-12.SP15
- Upgrade to 3.1.2.SP15

* Fri Oct 19 2012 Hui Wang <huwang@redhat.com> - 0:3.1.2-11.SP14
- Upgrade to 3.1.2.SP14

* Tue Aug 14 2012 Danesh Mondegarian <dmondega@redhat.com> - 0:3.1.2-10.SP13
- Rebuild

* Mon Jul 09 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.1.2-9.SP12
- Rebuild

* Mon Jul 09 2012 Martha Benitez <mbenitez@redhat.com> - 0:3.1.2-8.SP12
- Upgrade to 3.1.2.SP12

* Wed Oct 12 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> 0:3.1.2-7.SP11.4
- add patch to comment out @implementation.version@ and @buildNumber@
- related to JBPAPP-7320
- buildNumber disabled because it's plugin is disabled 
- implementation.version because substitution of that tag does not occur

* Fri Oct 07 2011 David Walluck <dwalluck@redhat.com> 0:3.1.2-7.SP11.3
- add patch to disable buildnumber plugin which requires online access
- update depmap
- use explicit file list

* Mon Sep 19 2011 Fernando Nasser <fnasser@redhat.com> 0:3.1.2-7.SP11.2
- Backport for EAP 5

* Fri Sep 16 2011 Fernando Nasser <fnasser@redhat.com> 0:3.1.2-7.SP11.1.1
- JBPAPP-7135 console fix (from svn)

* Wed Aug 24 2011 Danesh Mondegarian <dmondega@redhat.com> 0:3.1.2-7.SP11.1
- Upgrade to 3.1.2.SP11

* Tue Jul 05 2011 Fernando Nasser <fnasser@redhat.com> 0:3.1.2-6.SP10.1
- Upgrade to 3.1.2.SP10

* Tue May 10 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.1.2-6.SP9.1
- Upgrade to 3.1.2.SP9

* Tue Apr 26 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.1.2-5.SP8.6
- Apply jbossws-native-client-manifest.patch to change Class-Path of jaxrpc (JIRA 6319)
- Add a depmap entry for jettison

* Wed Mar 09 2011 Fernando Nasser <fnasser@redhat.com> 0:3.1.2-5.SP8.5
- Install jbossws-native-factories  (new artifact)

* Fri Feb 18 2011 David Walluck <dwalluck@redhat.com> 0:3.1.2-5.SP8.4
- fix maven depmaps
- add depmaps for backwards compat
- fix jaxrpc-api and saaj-api in jpp depmap

* Fri Feb 18 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.1.2-5.SP8.3
- Fix depmap saaj-api entry
- Add (B)R saaj_api and ws_metadata_2_0_api

* Thu Feb 17 2011 Yiqiao Wang <yiwang@redhat.com> 0:3.1.2-5.SP8.2
- Add BR jbossweb-servlet-2.5-api, modify depmap entry
- Add depmap entry for jaxrpc 
- comment refernces to removed modules: jaxrpc, saaj, jaxws, and jaxws-ext. (JBPAPP-4953)

* Tue Feb 15 2011 David Walluck <dwalluck@redhat.com> 0:3.1.2-5.SP8.2
- Requires: jaxrpc_1_1_api
- BuildRequires: jboss-jaxrpc-api_1.1_spec 
- don't call mvn install (call mvn deploy only)
- fix macros in comments
- fix mvn-jpp call
- fix repolib

* Tue Feb 15 2011 Yiqiao Wang <yiwang@redhat.com> - 0:3.1.2-5.SP8.1
- Upgrade to 3.1.2.SP8

* Tue Dec 7 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.1.2-4.SP7.1.2
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Add BR xpp3-minimal
- Not include jbossws-native-management-3.1.2.SP7-sources.jar because it's empty
- Add BR maven-site-plugin

* Wed Jul 21 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.1.2-4.SP7.1.1
- Merge from RHEL4

* Tue Jul 20 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.1.2-4.SP7.1
- Upgrade to 3.1.2.SP7

* Wed Jun 30 2010 Permaine Cheung <pcheung@redhat.com> - 0:3.1.2-4.SP6.1.1
- Replace wsdl4j by wsdl4j16 for RHEL 5

* Fri Jun 4 2010 Yiqiao Wang <yiwang@redhat.com> - 0:3.1.2-4.SP6.1
- Merge from RHEL4 (upgrade to 3.1.2.SP6)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:3.1.2-3.SP3_CP01.5.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 3.1.2-2.SP3_CP01.5
- Rebuild

* Tue Mar 02 2010 Permaine Cheung <pcheung@redhat.com> 3.1.2-2.SP3_CP01.4
- Fix depmap for jboss-common-core

* Mon Mar 01 2010 Permaine Cheung <pcheung@redhat.com> 3.1.2-2.SP3_CP01.3
- BR and R jboss-common-core instead of jboss-common

* Fri Feb 26 2010 Permaine Cheung <pcheung@redhat.com> 3.1.2-2.SP3_CP01.2
- BR and R jbossxb instead of jbossxb2

* Tue Feb 02 2010 Martha Benitez <mbenitez@redhat.com> 3.1.2-3.SP3_CP01.1.1
- Comment BR jbossws

* Mon Jan 25 2010 Martha Benitez <mbenitez@redhat.com> 3.1.2-3.SP3_CP01.1
- Upgrade to 3.1.2.SP3.CP01
- Add BR ws-scout, juddi

* Mon Sep 21 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-2.SP3_patch_02.2
- Use _patch_02 only in release tag in rpm, use -patch-02 in other places

* Fri Sep 18 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-2.SP3_patch_02.1
- Fix versions of dependencies in pom
- Add patch for JBPAPP-2825, and change location to 3.1.2.SP3-patch-02

* Fri Sep 11 2009 Fernando Naseer <fnasser@redhat.com> 3.1.2-1.SP3.patch01.3
- Do not install war exploded of maven won't grab it as an artifact

* Thu Sep 03 2009 Fernando Naseer <fnasser@redhat.com> 3.1.2-1.SP3.patch01.2
- Add poms to repolig lib directory, alongside with the corresponding JARs

* Thu Sep 03 2009 Fernando Naseer <fnasser@redhat.com> 3.1.2-1.SP3.patch01.1
- Patch for xmlsec 1.4.3

* Wed Jul 29 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP3.1
- Update to 3.1.2.SP3

* Mon Jul 27 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP1.5
- Rebuild with latest jboss-jaxr
- Fix pom names

* Mon Jul 27 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP1.4
- Rebuild with jboss-jaxr 1.2.1.GA

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP1.3
- Fix component-info.xml

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP1.2
- Rebuild

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 3.1.2-0.SP1.2
- Update to 3.1.2.SP2
- Build with maven
